source("asmisc.r")

lr <- read.table("lr05-der.dat", h=T, sep=";")
species <- read.table("lr05-l.dat", h=T, sep=";")

formula <- as.data.frame(paste(lr$N.OBOR, lr$N.LIS, sep="/"))
lr <- cbind(lr, formula)
cham.ang <- lr[lr$N.BL==1,]
# str(cham.ang.table)
# cham.ang.table/13
cham.ang.table <- table(cham.ang[,6])
# write.table(cham.ang.table, file="cham.txt", sep=";")

tapply(lr[,6], lr[,1], summary)

pop.tab <- round(100*table(lr$N.BL, lr[,6])/as.numeric(table(lr$N.BL)),1)
# write.table(file="pop-eto.txt", unclass(pop.tab), sep=";", dec=",", quote=F)

formp<-paste(lr$N.OBOR.P,lr$N.LIS.P,sep="/")
formp.r <- recode(formp,c("1/2","1/3","1/4","1/5","1/6","2/2","2/3","2/4","2/5","2/6","2/6","2/7","2/8","3/3","3/4","3/5","3/6","3/7","3/8","3/9","3/10","4/5","4/6","4/7","4/8","4/9","4/10","4/11","4/12","5/8","5/9","5/10","5/11","5/12","5/13","6/8","6/9","6/10","6/11","6/12","6/13","7/10","7/12","7/13","7/14","8/10","8/11","8/21","8/22","9/12","9/13","9/15","10/21","11/61"),c("10","20","24","28","32","34","36","38","40","44","46","48","50","52","54","56","58","60","62","64","66","68","69","70","71","72","73","74","75","76","77","78","79","80","82","84","86","88","90","91","92","94","95","96","97","98","100","101","111","112","114","116","119"))
form<-paste(lr$N.OBOR,lr$N.LIS,sep="/")
form.r<-recode(form,c("1/2","1/3","1/4","1/5","1/6","2/2","2/3","2/4","2/5","2/6","2/6","2/7","2/8","3/3","3/4","3/5","3/6","3/7","3/8","3/9","3/10","4/5","4/6","4/7","4/8","4/9","4/10","4/11","4/12","5/8","5/9","5/10","5/11","5/12","5/13","6/8","6/9","6/10","6/11","6/12","6/13","7/10","7/12","7/13","7/14","8/10","8/11","8/21","8/22","9/12","9/13","9/15","10/21","11/61"),c("10","20","24","28","32","34","36","38","40","44","46","48","50","52","54","56","58","60","62","64","66","68","69","70","71","72","73","74","75","76","77","78","79","80","82","84","86","88","90","91","92","94","95","96","97","98","100","101","111","112","114","116","119"))

lr <- cbind (lr, as.numeric(form.r), as.numeric(formp.r))
s.vimin <- lr[lr$N.BL==2,]
str(s.vimin)
table(s.vimin[,7], s.vimin[,8])
chisq.test(s.vimin[,7], s.vimin[,8])

plot(s.vimin[,7], s.vimin[,8])
#   ,    :
plot(as.numeric(factor(form[lr$N.BL==2], levels=levels(factor(formp[lr$N.BL==2])))), as.numeric(factor(formp[lr$N.BL==2])))
